Bug 843750 - when storing 802.1x connection to all users it disappears from NM
when storing 802.1x connection to all users it disappears from NM
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 6.4
Assigned To: Dan Williams
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 05:09 EDT by Vladimir Benes
Modified: 2014-12-11 11:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 10:11:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-07-27 05:09:05 EDT
Description of problem:
I just created basic connection profile to 802.1x (no matter if TLS, PEAP, TTLS), then clicked Available to all users and clicked apply. Profile disappeared but it's correctly stored in ifcfg file.

so if ifcfg file contains KEY_MGMT=IEEE8021X

then nm cannot see it 

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-32.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.create new 802.1x wired profile
2.click available to all users and click apply

  
Actual results:
profile not longer available in nm-connection-editor
stored correctly into ifcfg file

Expected results:
correct ifcfg file
and profile visible in nm

Additional info:
Comment 1 Vladimir Benes 2012-07-27 05:32:37 EDT
the same is happening when using wireless networking and enterprise encryption types

Note You need to log in before you can comment on or make changes to this bug.